---
title: '{% data variables.product.product_name %}{% ifversion fpt or ghec%}.com{% endif %} Help Documentation'
featuredLinks:
  gettingStarted:
    - /get-started/quickstart/set-up-git
    - /github/authenticating-to-github/connecting-to-github-with-ssh
    - /repositories/creating-and-managing-repositories
    - /github/writing-on-github/basic-writing-and-formatting-syntax
  popular:
    - /pull-requests/collaborating-with-pull-requests/proposing-changes-to-your-work-with-pull-requests/about-pull-requests
    - /authentication
    - /github/importing-your-projects-to-github/adding-an-existing-project-to-github-using-the-command-line
    - /get-started/getting-started-with-git/managing-remote-repositories
    - /pages
versions: '*'
children:
  - get-started
  - account-and-profile
  - authentication
  - repositories
  - github
  - admin
  - billing
  - organizations
  - code-security
  - pull-requests
  - issues
  - actions
  - codespaces
  - packages
  - search-github
  - developers
  - rest
  - graphql
  - github-cli
  - discussions
  - sponsors
  - communities
  - pages
  - education
  - desktop
  - early-access
  - support
childGroups:
  - name: Get started
    octicon: 'RocketIcon'
    children:
    - get-started
    - account-and-profile
    - authentication
    - billing
  - name: Collaborative coding
    octicon: 'CommentDiscussionIcon'
    children:
    - codespaces
    - repositories
    - pull-requests
    - discussions
  - name: CI/CD and DevOps
    octicon: 'GearIcon'
    children:
    - actions
    - packages
    - pages
  - name: Security
    octicon: 'ShieldLockIcon'
    children:
    - code-security
  - name: Client apps
    octicon: 'DeviceMobileIcon'
    children:
    - github-cli
    - desktop
  - name: Project management
    octicon: 'ProjectIcon'
    children:
    - issues
    - search-github
  - name: Developers
    octicon: 'MarkGithubIcon'
    children:
    - developers
    - rest
    - graphql
  - name: Enterprise and Teams
    octicon: 'OrganizationIcon'
    children:
    - organizations
    - admin
  - name: Community
    octicon: 'GlobeIcon'
    children:
    - communities
    - sponsors
    - education
    - support
externalProducts:
  atom:
    id: atom
    name: Atom
    href: 'https://atom.io/docs'
    external: true
  electron:
    id: electron
    name: Electron
    href: 'https://electronjs.org/docs'
    external: true
  codeql:
    id: codeql
    name: CodeQL
    href: 'https://codeql.github.com/docs'
    external: true
  npm:
    id: npm
    name: npm
    href: 'https://docs.npmjs.com/'
    external: true
---
